package  
{
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;

	public class Enemy extends Entity 
	{
		private var _image:Image;
		private var speedY:Number = 50;
		
		public function Enemy() 
		{
			_image = new Image(Assets.GRAPHIC_SHIP_PLAYER);
			_image.centerOO();
			_image.color = 0xFF0000;
			_image.tinting = 0.7;
			_image.flipped = true;
			graphic = _image;
			type = "Enemy";
			setHitbox(32, 10, 16, 5);
			layer = GC.LAYER_ENEMY;
		}
		
		override public function update():void 
		{
			if (y < 32 && speedY < 0) speedY *= -1;
			if (y > FP.height - 32 && speedY > 0) speedY *= -1; 
			y += speedY * FP.elapsed;
			
			if (x < FP.camera.x - 100 - width) {
				destroy();
			}
			
			var _bullet:Bullet = (collide("Bullet", x, y)) as Bullet;
			if (_bullet) {
				_bullet.destroy();
				destroy();
			}
		}
		
		public function destroy():void
		{
			GV.PARTICLE_EMITTER.explosion(x, y);
			FP.world.recycle(this);
		}
		
	}
}