package  
{
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Spritemap;
	
	public class Bullet extends Entity 
	{
		
		private var _sprites:Spritemap;
		private var moveX:Number = 0;
		private var moveY:Number = 0;
		
		public function Bullet() 
		{
			_sprites = new Spritemap(Assets.GRAPHIC_BLUE_BULLET, 10, 10);
			_sprites.add("idle", [0, 1, 2], 12, true);
			_sprites.play("idle");
			_sprites.centerOO();
			graphic = _sprites;
			type = "Bullet";
			setHitbox(6, 6, 1, 3);
			layer = GC.LAYER_BULLETS;
		}
		
		public function setMovement(_x:Number = 0, _y:Number = 0):void
		{
			moveX = _x;
			moveY = _y;
		}
		
		override public function update():void
		{
			x += moveX * FP.elapsed;
			y += moveY * FP.elapsed;
			if (x > FP.camera.x + FP.width + 50 || x < FP.camera.x - 50 || y < - 50 || y > FP.height + 50) {
				destroy();
			}
		}
		
		public function destroy():void
		{
			FP.world.recycle(this);
		}
	}
}